diff -urN Original_4.4.4_r1/packages/apps/SurfaceProvider/Android.mk AndroidSource/packages/apps/SurfaceProvider/Android.mk
--- Original_4.4.4_r1/packages/apps/SurfaceProvider/Android.mk	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/SurfaceProvider/Android.mk	2015-10-27 11:41:12.000000000 +0900
@@ -0,0 +1,18 @@
+LOCAL_PATH:= $(call my-dir)
+include $(CLEAR_VARS)
+
+LOCAL_MODULE_TAGS := optional
+
+LOCAL_SRC_FILES := $(call all-java-files-under, src)
+
+LOCAL_PACKAGE_NAME := SurfaceProvider 
+LOCAL_CERTIFICATE := platform
+LOCAL_PRIVILEGED_MODULE := true
+
+include $(BUILD_PACKAGE)
+
+include $(call all-makefiles-under, $(LOCAL_PATH))
+
+
+
+
diff -urN Original_4.4.4_r1/packages/apps/SurfaceProvider/Android.mk~ AndroidSource/packages/apps/SurfaceProvider/Android.mk~
--- Original_4.4.4_r1/packages/apps/SurfaceProvider/Android.mk~	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/SurfaceProvider/Android.mk~	2015-10-27 11:41:12.000000000 +0900
@@ -0,0 +1,18 @@
+LOCAL_PATH:= $(call my-dir)
+include $(CLEAR_VARS)
+
+LOCAL_MODULE_TAGS := optional
+
+LOCAL_SRC_FILES := $(call all-java-files-under, src)
+
+LOCAL_PACKAGE_NAME := TestApp 
+LOCAL_CERTIFICATE := platform
+LOCAL_PRIVILEGED_MODULE := true
+
+include $(BUILD_PACKAGE)
+
+include $(call all-makefiles-under, $(LOCAL_PATH))
+
+
+
+
diff -urN Original_4.4.4_r1/packages/apps/SurfaceProvider/.classpath AndroidSource/packages/apps/SurfaceProvider/.classpath
--- Original_4.4.4_r1/packages/apps/SurfaceProvider/.classpath	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/SurfaceProvider/.classpath	2015-10-27 11:41:12.000000000 +0900
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="src" path="gen"/>
+	<classpathentry kind="con" path="com.android.ide.eclipse.adt.ANDROID_FRAMEWORK"/>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.LIBRARIES"/>
+	<classpathentry exported="true" kind="con" path="com.android.ide.eclipse.adt.DEPENDENCIES"/>
+	<classpathentry kind="output" path="bin/classes"/>
+</classpath>
diff -urN Original_4.4.4_r1/packages/apps/SurfaceProvider/.project AndroidSource/packages/apps/SurfaceProvider/.project
--- Original_4.4.4_r1/packages/apps/SurfaceProvider/.project	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/SurfaceProvider/.project	2015-10-27 11:41:12.000000000 +0900
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>SurfaceProvider</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ResourceManagerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.PreCompilerBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>com.android.ide.eclipse.adt.ApkBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>com.android.ide.eclipse.adt.AndroidNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>
diff -urN Original_4.4.4_r1/packages/apps/SurfaceProvider/res/layout/activity_surface_giver.xml~ AndroidSource/packages/apps/SurfaceProvider/res/layout/activity_surface_giver.xml~
--- Original_4.4.4_r1/packages/apps/SurfaceProvider/res/layout/activity_surface_giver.xml~	1970-01-01 09:00:00.000000000 +0900
+++ AndroidSource/packages/apps/SurfaceProvider/res/layout/activity_surface_giver.xml~	2015-10-27 11:41:12.000000000 +0900
@@ -0,0 +1,16 @@
+<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
+    xmlns:tools="http://schemas.android.com/tools"
+    android:layout_width="match_parent"
+    android:layout_height="match_parent"
+    android:paddingBottom="@dimen/activity_vertical_margin"
+    android:paddingLeft="@dimen/activity_horizontal_margin"
+    android:paddingRight="@dimen/activity_horizontal_margin"
+    android:paddingTop="@dimen/activity_vertical_margin"
+    tools:context="com.remote.surfaceprovider.SurfaceProvider" >
+
+    <TextView
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:text="@string/hello_world" />
+
+</RelativeLayout>
